package com.sun.image.codec.jpeg;

import java.awt.image.Raster;
import sun.awt.image.codec.JPEGParam;
import java.awt.image.BufferedImage;
import sun.awt.image.codec.JPEGImageEncoderImpl;
import java.io.OutputStream;
import sun.awt.image.codec.JPEGImageDecoderImpl;
import java.io.InputStream;

public class JPEGCodec
{
    private JPEGCodec() {
    }
    
    public static JPEGImageDecoder createJPEGDecoder(InputStream inputStream) {
        return new JPEGImageDecoderImpl(inputStream);
    }
    
    public static JPEGImageDecoder createJPEGDecoder(InputStream inputStream, JPEGDecodeParam jpegDecodeParam) {
        return new JPEGImageDecoderImpl(inputStream, jpegDecodeParam);
    }
    
    public static JPEGImageEncoder createJPEGEncoder(OutputStream outputStream) {
        return new JPEGImageEncoderImpl(outputStream);
    }
    
    public static JPEGImageEncoder createJPEGEncoder(OutputStream outputStream, JPEGEncodeParam jpegEncodeParam) {
        return new JPEGImageEncoderImpl(outputStream, jpegEncodeParam);
    }
    
    public static JPEGEncodeParam getDefaultJPEGEncodeParam(BufferedImage bufferedImage) {
        return getDefaultJPEGEncodeParam(bufferedImage.getRaster(), JPEGParam.getDefaultColorId(bufferedImage.getColorModel()));
    }
    
    public static JPEGEncodeParam getDefaultJPEGEncodeParam(Raster raster, int n) {
        JPEGParam jpegParam = new JPEGParam(n, raster.getNumBands());
        jpegParam.setWidth(raster.getWidth());
        jpegParam.setHeight(raster.getHeight());
        return jpegParam;
    }
    
    public static JPEGEncodeParam getDefaultJPEGEncodeParam(int n, int n2) throws ImageFormatException {
        return new JPEGParam(n2, n);
    }
    
    public static JPEGEncodeParam getDefaultJPEGEncodeParam(JPEGDecodeParam jpegDecodeParam) throws ImageFormatException {
        return new JPEGParam(jpegDecodeParam);
    }
}
